# setAllowCircularReferences method

1. @override

void setAllowCircularReferences(

1. bool value

)
override

Allows or disallows circular references between pods.

When enabled, the factory can resolve circular dependencies using advanced techniques. When disabled, circular dependencies will cause an exception.

## Usage Example:

    factory.setAllowCircularReferences(false); // Strict mode - no circular deps

@param value true to allow circular references, false to disallow

## Implementation

    @override
    void setAllowCircularReferences(bool value) {
      getPodFactory().setAllowCircularReferences(value);
    }